server.port = 8012

spring.redisson.address = 117.78.33.241:6379
spring.redisson.password=bcxin@2019
spring.resources.static-locations = classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${file.dir}
office.home = C:\\Program Files (x86)\\OpenOffice 4
file.dir = E:\\demo\\wps\\data
server.tomcat.uri-encoding = UTF-8
weboffice.provider.host=http://localhost:8012
weboffice.appId=AK20250714VNFIHT
weboffice.editing_dir=E:\\demo\\wps\\data

converted.file.charset = GBK
spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
simText = txt,html,xml,java,properties,sql
media=mp3,mp4,flv,rmvb


mybatis-plus.mapper-locations = classpath:/mybatis/**/*Mapper.xml
mybatis-plus.type-aliases-package= com.bcxin
#主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
mybatis-plus.global-config.id-type=2
#字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
mybatis-plus.global-config.field-strategy=1

#驼峰下划线转换
mybatis-plus.global-config.db-column-underline=false
#刷新mapper 调试神器
mybatis-plus.global-config.refresh-mapper=true
#数据库大写下划线转换
mybatis-plus.global-config.capital-mode=false
#序列接口实现类配置
#key-generator: com.baomidou.springboot.xxx
#逻辑删除配置
#logic-delete-value: 0
#logic-not-delete-value: 1
#自定义填充策略接口实现
#meta-object-handler: com.baomidou.springboot.xxx
#自定义SQL注入器
#sql-injector: com.baomidou.springboot.xxx
mybatis-plus.configuration.map-underscore-to-camel-case=false
mybatis-plus.configuration.cache-enabled=false

spring.datasource.name=test
spring.datasource.url=jdbc:mysql://datalink.te.baibaodun.com.cn:15423/test_preview?useUnicode=true&characterEncoding=utf8&useCompression=true
spring.datasource.username=bcx
spring.datasource.password=0QJp2UbEf$NK

#spring.datasource.name=prod
#spring.datasource.url=jdbc:mysql://114.115.184.154:3000/prod_bcxin_preview?useUnicode=true&characterEncoding=utf8&useCompression=true
#spring.datasource.username=prod_bcxin_preview
#spring.datasource.password=Prod_preview#201912

# 使用druid数据源
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver